> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all settlements

> Returns all settlements.



## OpenAPI

````yaml openapi/cross-currency.yaml get /v1/exchange/trades/settlements
openapi: 3.0.2
info:
  version: ${version}
  title: Cross-Currency API
  description: >
    The Circle Cross-Currency API allows you to exchange fiat for USDC and
    exchange USDC for EURC.
servers:
  - url: https://api-sandbox.circle.com
  - url: https://api.circle.com
security: []
tags:
  - name: Trades
    description: Execute currency exchange trades.
  - name: Payments
    description: Payment endpoints.
  - name: Settlements
    description: Settlement endpoints
paths:
  /v1/exchange/trades/settlements:
    get:
      tags:
        - Settlements
      summary: Get all settlements
      description: Returns all settlements.
      operationId: getSettlements
      parameters:
        - $ref: '#/components/parameters/From'
        - $ref: '#/components/parameters/To'
        - $ref: '#/components/parameters/PageBefore'
        - $ref: '#/components/parameters/PageAfter'
        - $ref: '#/components/parameters/PageSize'
        - name: type
          description: The type of settlement.
          in: query
          required: false
          schema:
            type: string
            enum:
              - account_payable
              - account_receivable
        - name: status
          description: Status of the settlement.
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/SettlementStatus'
        - name: currency
          description: Currency of the settlement
          in: query
          required: false
          schema:
            type: string
            enum:
              - MXN
              - BRL
      responses:
        '200':
          description: Successfully retrieved settlements.
          headers:
            X-Request-Id:
              $ref: '#/components/headers/XRequestId'
          content:
            application/json:
              schema:
                title: GetSettlementsResponse
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Settlement'
              examples:
                response:
                  value:
                    data:
                      - id: b8627ae8-732b-4d25-b947-1df8f4007a29
                        entityId: b8627ae8-732b-4d25-b947-1df8f4007a29
                        status: pending
                        createDate: '2020-04-10T02:13:30.000Z'
                        updateDate: '2020-04-10T02:13:30.000Z'
                        details:
                          - id: b8627ae8-732b-4d25-b947-1df8f4007a29
                            type: payable
                            amount:
                              amount: '3.14'
                              currency: USDC
                            status: pending
                            reference: FXR1234567
                            createDate: '2020-04-10T02:13:30.000Z'
                            updateDate: '2020-04-10T02:13:30.000Z'
        '401':
          $ref: '#/components/responses/NotAuthorized'
        '404':
          $ref: '#/components/responses/NotFound'
      security:
        - bearerAuth: []
components:
  parameters:
    From:
      name: from
      description: Queries items created since the specified date-time (inclusive).
      in: query
      required: false
      schema:
        type: string
        format: date-time
        example: '2020-04-10T02:13:30.000Z'
    To:
      name: to
      description: Queries items created before the specified date-time (inclusive).
      in: query
      required: false
      schema:
        type: string
        format: date-time
        example: '2020-04-10T02:13:30.000Z'
    PageBefore:
      name: pageBefore
      description: >
        A collection ID value used for pagination.


        It marks the exclusive end of a page. When provided, the collection
        resource will return the next `n` items before

        the id, with `n` being specified by `pageSize`.


        The items will be returned in the natural order of the collection.


        The resource will return the first page if neither `pageAfter` nor
        `pageBefore` are specified.


        SHOULD NOT be used in conjuction with pageAfter.
      in: query
      required: false
      schema:
        type: string
    PageAfter:
      name: pageAfter
      description: >
        A collection ID value used for pagination.


        It marks the exclusive begin of a page. When provided, the collection
        resource will return the next `n` items after

        the id, with `n` being specified by `pageSize`.


        The items will be returned in the natural order of the collection.


        The resource will return the first page if neither `pageAfter` nor
        `pageBefore` are specified.


        SHOULD NOT be used in conjuction with pageBefore.
      in: query
      required: false
      schema:
        type: string
    PageSize:
      name: pageSize
      description: >
        Limits the number of items to be returned.


        Some collections have a strict upper bound that will disregard this
        value. In case the specified value is higher

        than the allowed limit, the collection limit will be used.


        If avoided, the collection will determine the page size itself.
      in: query
      required: false
      schema:
        type: integer
        minimum: 1
        example: 5
  schemas:
    SettlementStatus:
      type: string
      description: Status of the settlement.
      enum:
        - pending
        - settled
    Settlement:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/Id'
        entityId:
          $ref: '#/components/schemas/Id'
        status:
          $ref: '#/components/schemas/SettlementStatus'
        createDate:
          $ref: '#/components/schemas/UtcTimestamp'
        updateDate:
          $ref: '#/components/schemas/UtcTimestamp'
        details:
          type: array
          items:
            type: object
            properties:
              id:
                $ref: '#/components/schemas/Id'
              type:
                type: string
                enum:
                  - payable
                  - receivable
              amount:
                $ref: '#/components/schemas/FxMoney'
              status:
                $ref: '#/components/schemas/SettlementDetailStatus'
              reference:
                type: string
                example: FXR1234567
              createDate:
                $ref: '#/components/schemas/UtcTimestamp'
              updateDate:
                $ref: '#/components/schemas/UtcTimestamp'
    Id:
      type: string
      description: Unique system generated identifier for the entity.
      format: uuid
      example: b8627ae8-732b-4d25-b947-1df8f4007a29
    UtcTimestamp:
      type: string
      description: ISO-8601 UTC date/time format.
      example: '2020-04-10T02:13:30.000Z'
    FxMoney:
      type: object
      required:
        - amount
        - currency
      properties:
        amount:
          description: Magnitude of the amount, in units of the currency, with a `.`.
          type: string
          example: '3.14'
        currency:
          $ref: '#/components/schemas/FxCurrency'
    SettlementDetailStatus:
      type: string
      enum:
        - pending
        - completed
    FxCurrency:
      type: string
      enum:
        - USDC
        - EURC
        - MXN
        - BRL
  headers:
    XRequestId:
      description: >-
        Universally unique identifier (UUID v4) for the request. Helpful for
        identifying a request when communicating with Circle support.
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  responses:
    NotAuthorized:
      description: >-
        The request has not been applied because it lacks valid authentication
        credentials.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: NotAuthorized
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 401
              message: Malformed authorization.
          examples:
            response:
              value:
                code: 401
                message: Malformed authorization.
    NotFound:
      description: The specified resource was not found.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: NotFound
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 404
              message: Not found.
          examples:
            response:
              value:
                code: 404
                message: Not found.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````